Loading...
Searching...
No Matches
QXmppJinglePayloadType Class Reference

The QXmppJinglePayloadType class represents a payload type as specified by XEP-0167: Jingle RTP Sessions and RFC 5245. More...

`#include <QXmppJingleIq.h>`

## Public Member Functions

| QXmppJinglePayloadType (const QXmppJinglePayloadType &other)
unsigned char | channels () const
void | setChannels (unsigned char channels)
unsigned int | clockrate () const
void | setClockrate (unsigned int clockrate)
unsigned char | id () const
void | setId (unsigned char id)
unsigned int | maxptime () const
void | setMaxptime (unsigned int maxptime)
QString | name () const
void | setName (const QString &name)
QMap< QString, QString > | parameters () const
| Returns the payload parameters.
void | setParameters (const QMap< QString, QString > &parameters)
| Sets the payload parameters.
unsigned int | ptime () const
void | setPtime (unsigned int ptime)
QVector< QXmppJingleRtpFeedbackProperty > | rtpFeedbackProperties () const
void | setRtpFeedbackProperties (const QVector< QXmppJingleRtpFeedbackProperty > &rtpFeedbackProperties)
QVector< QXmppJingleRtpFeedbackInterval > | rtpFeedbackIntervals () const
void | setRtpFeedbackIntervals (const QVector< QXmppJingleRtpFeedbackInterval > &rtpFeedbackIntervals)
QXmppJinglePayloadType & | operator= (const QXmppJinglePayloadType &other)
bool | operator== (const QXmppJinglePayloadType &other) const

## Detailed Description

The QXmppJinglePayloadType class represents a payload type as specified by XEP-0167: Jingle RTP Sessions and RFC 5245.

## Constructor & Destructor Documentation

## QXmppJinglePayloadType()

QXmppJinglePayloadType::QXmppJinglePayloadType | ( | const QXmppJinglePayloadType & | other | ) |

Constructs a copy of other.

Parameters

  other |

## Member Function Documentation

## channels()

unsigned char QXmppJinglePayloadType::channels | ( |  | ) | const

Returns the number of channels (e.g. 1 for mono, 2 for stereo).

## clockrate()

unsigned int QXmppJinglePayloadType::clockrate | ( |  | ) | const

Returns the clockrate in Hz, i.e. the number of samples per second.

## id()

unsigned char QXmppJinglePayloadType::id | ( |  | ) | const

Returns the payload type identifier.

## maxptime()

unsigned int QXmppJinglePayloadType::maxptime | ( |  | ) | const

Returns the maximum packet time in milliseconds.

## name()

QString QXmppJinglePayloadType::name | ( |  | ) | const

Returns the payload type name.

## operator=()

QXmppJinglePayloadType & QXmppJinglePayloadType::operator= | ( | const QXmppJinglePayloadType & | other | ) |

Assigns the other payload type to this one.

Parameters

  other |

## operator==()

bool QXmppJinglePayloadType::operator== | ( | const QXmppJinglePayloadType & | other | ) | const

Returns true if this QXmppJinglePayloadType and other refer to the same payload type.

Parameters

  other |

## ptime()

unsigned int QXmppJinglePayloadType::ptime | ( |  | ) | const

Returns the packet time in milliseconds (20 by default).

## rtpFeedbackIntervals()

QVector< QXmppJingleRtpFeedbackInterval > QXmppJinglePayloadType::rtpFeedbackIntervals | ( |  | ) | const

Returns the intervals of RTP feedback.

Returns
  the RTP feedback intervals

## rtpFeedbackProperties()

QVector< QXmppJingleRtpFeedbackProperty > QXmppJinglePayloadType::rtpFeedbackProperties | ( |  | ) | const

Returns the properties of RTP feedback.

Returns
  the RTP feedback properties

Since
  QXmpp 1.5

## setChannels()

void QXmppJinglePayloadType::setChannels | ( | unsigned char | channels | ) |

Sets the number of channels (e.g. 1 for mono, 2 for stereo).

Parameters

  channels |

## setClockrate()

void QXmppJinglePayloadType::setClockrate | ( | unsigned int | clockrate | ) |

Sets the clockrate in Hz, i.e. the number of samples per second.

Parameters

  clockrate |

## setId()

void QXmppJinglePayloadType::setId | ( | unsigned char | id | ) |

Sets the payload type identifier.

## setMaxptime()

void QXmppJinglePayloadType::setMaxptime | ( | unsigned int | maxptime | ) |

Sets the maximum packet type in milliseconds.

Parameters

  maxptime |

## setName()

void QXmppJinglePayloadType::setName | ( | const QString & | name | ) |

Sets the payload type name.

Parameters

  name |

## setPtime()

void QXmppJinglePayloadType::setPtime | ( | unsigned int | ptime | ) |

Sets the packet time in milliseconds (20 by default).

Parameters

  ptime |

## setRtpFeedbackIntervals()

void QXmppJinglePayloadType::setRtpFeedbackIntervals | ( | const QVector< QXmppJingleRtpFeedbackInterval > & | rtpFeedbackIntervals | ) |

Sets the intervals of RTP feedback.

Parameters

  rtpFeedbackIntervals | RTP feedback intervals

## setRtpFeedbackProperties()

void QXmppJinglePayloadType::setRtpFeedbackProperties | ( | const QVector< QXmppJingleRtpFeedbackProperty > & | rtpFeedbackProperties | ) |

Sets the properties of RTP feedback.

Parameters

  rtpFeedbackProperties | RTP feedback properties

Since
  QXmpp 1.5

The documentation for this class was generated from the following files:

- QXmppJingleIq.h
- QXmppJingleIq.cpp